<?
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
@include "../../fusion_config.php";
include "../../fusion_core.php";
include FUSION_BASE."subheader.php";
include FUSION_BASE."side_left.php";

$def_lang = FUSION_INFUSIONS."google/lang/English.php";
$usr_lang = FUSION_INFUSIONS."google/lang/".$settings['language'].".php";
if (file_exists($usr_lang)) {include $usr_lang;} else { include $def_lang; }

// Your code goes here
opentable(GOO_000);

/*
*
* PHP Google Search 1.0
* ----------------------
*
* Offer to your visitors a rich and powerfull web search
* Search technology and results are Copyright  Google Inc.
* All rights reserved
*
* PHP Google Search Code is Copyright  Daniele Leone
*
* Contact the Author:
* Daniele Leone
* http://www.danieleleone.com
* info@danieleleone.com
*
* Need Help ?
* visit www.danieleleone.com for installation guide
*
*/

// Configuration

function getData($dat) {
	$query = dbquery("SELECT * FROM fusion_google WHERE goo_id='1'");
	$data = dbarray($query);
	return ($data[$dat]);
}

$nr = getData("goo_nr"); // Results per page (10 max)
$clef = getData("goo_key"); // GOOGLE API KEY LICENSE
$thumbs_preview = getData("goo_thumbs"); // 1 yes - 0 no
$thumbs_size = getData("goo_th_size"); // small / big
$links_target = getData("goo_links_target");

function utf82iso88592($tekscik) {
 $tekscik = str_replace("\xC4\x85", "?", $tekscik);
 $tekscik = str_replace("\xC4\x84", '?', $tekscik);
 $tekscik = str_replace("\xC4\x87", '?', $tekscik);
 $tekscik = str_replace("\xC4\x86", '?', $tekscik);
 $tekscik = str_replace("\xC4\x99", '?', $tekscik);
 $tekscik = str_replace("\xC4\x98", '?', $tekscik);
 $tekscik = str_replace("\xC5\x82", '?', $tekscik);
 $tekscik = str_replace("\xC5\x81", '?', $tekscik);
 $tekscik = str_replace("\xC3\xB3", '?', $tekscik);
 $tekscik = str_replace("\xC3\x93", '?', $tekscik);
 $tekscik = str_replace("\xC5\x9B", '?', $tekscik);
 $tekscik = str_replace("\xC5\x9A", '?', $tekscik);
 $tekscik = str_replace("\xC5\xBC", '?', $tekscik);
 $tekscik = str_replace("\xC5\xBB", '?', $tekscik);
 $tekscik = str_replace("\xC5\xBA", '?', $tekscik);
 $tekscik = str_replace("\xC5\xB9", '?', $tekscik);
 return $tekscik;
} // utf82iso88592

function iso885922utf8($tekscik) {
 $tekscik = str_replace("?", "\xC4\x85", $tekscik);
 $tekscik = str_replace('?', "\xC4\x84", $tekscik);
 $tekscik = str_replace('?', "\xC4\x87", $tekscik);
 $tekscik = str_replace('?', "\xC4\x86", $tekscik);
 $tekscik = str_replace('?', "\xC4\x99", $tekscik);
 $tekscik = str_replace('?', "\xC4\x98", $tekscik);
 $tekscik = str_replace('?', "\xC5\x82", $tekscik);
 $tekscik = str_replace('?', "\xC5\x81", $tekscik);
 $tekscik = str_replace('?', "\xC3\xB3", $tekscik);
 $tekscik = str_replace('?', "\xC3\x93", $tekscik);
 $tekscik = str_replace('?', "\xC5\x9B", $tekscik);
 $tekscik = str_replace('?', "\xC5\x9A", $tekscik);
 $tekscik = str_replace('?', "\xC5\xBC", $tekscik);
 $tekscik = str_replace('?', "\xC5\xBB", $tekscik);
 $tekscik = str_replace('?', "\xC5\xBA", $tekscik);
 $tekscik = str_replace('?', "\xC5\xB9", $tekscik);
 return $tekscik;
} // iso885922utf8

// Do not edit below

?>
<form action="<?php $PHP_SELF;?>" method="get">
<p><center>
<input class="textbox" size="35" type="text" value="<?php echo htmlspecialchars($q); ?>" name="q" /><br>
<input class="button" type="submit" value="<? echo(GOO_001); ?>" />
<br><br>
<a href="http://www.google.com" target="_blank"><img src="powered_by_google.gif" border="0"></a>
</center>
</p>
</form>
<?php
require_once 'SOAP_Google.php';

if (strlen($q) > 0) {

$google = new SOAP_Google($clef);
$result = $google->search(
  array(
    'query' => $q,
    'start' => $s,
    'maxResults' => $nr,
    'ie' => 'ISO-8859-2',
    'oe' => 'ISO-8859-2'
  )
);


closetable();

if (false !== $result) {
	echo "<br>";
	opentable(GOO_002);

   echo GOO_003." <span class='forum-numbers'><b>{$result['startIndex']}</b></span> ".GOO_004." <span class='forum-numbers'><b>{$result['endIndex']}</b></span> ";
   echo GOO_005." ";
   echo "<span class='forum-numbers'><b>{$result['estimatedTotalResultsCount']}</b></span> ".GOO_006." <b>$q</b> (<span class='forum-numbers'>{$result['searchTime']}</span> ".GOO_007." )</p><br>";


   $res = $result['resultElements'];
   $i=$result['startIndex'];
   
   // DO NOT REMOVE THAT TO MAKE THE SCRIPT WORKING
   //include ("http://www.danieleleone.com/script.php");
   // ---------------------------------------------
   
   echo "<table>";

   if (is_array($res)) {

   foreach ($res as $site) {
   echo "<tr>";

   if ($thumbs_preview =='1')
   {

   echo "<td>";
   echo "<a href='{$site['URL']}' target=$links_target>";
   echo "<img src='http://thumbnails.alexa.com/image_server.cgi?size=$thumbs_size&url={$site['URL']}' border='0'>";
   echo "</a>";
       echo "</td>";
    }

       echo "<td>";
        echo "+ <a href='{$site['URL']}' target=$links_target>". utf8_decode($site['title']) ."</a><br>
        ".ereg_replace ('<br>', ' ', utf8_decode($site['snippet']))."<br>";
                echo "<font size='1' color='green'>{$site['URL']}</font><br>";
       echo "</td></tr>";
	   echo "<tr><td class='hr-five'></td></tr>";
   }
    echo "</table>";
   echo "<center>";


   if ($result['startIndex'] >= $nr) {
     $t =  $result['startIndex'] - ($nr+1);
     echo "<br><p>
     <a href='$PHP_SELF?q=".urlencode($q)."&amp;s=".$t."'>".GOO_008."</a> | ";
   }
    if (($result['estimatedTotalResultsCount'] > $result['endIndex'])
               or
               !$result['estimateIsExact'] )
         {
     $t =  $result['endIndex'] ;//+ 1;

     echo "<a href='$PHP_SELF?q=".urlencode($q)."&amp;s=".
     $t."'>".GOO_009."</a>";
   }
   }
   echo "</p>";


} else {
	echo"<br>";
	opentable("Error!");
  echo GOO_010;
  closetable();
}


}
closetable();
include FUSION_BASE."side_right.php";
include FUSION_BASE."footer.php";
?>